<?php
/**
 * @copyright	Copyright (C) 2007 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

class plgSystemLibraryjquery extends JPlugin
{
	function onAfterInitialise()
	{
		// Get params
		$document 		= JFactory::getDocument();
		$jlist 				= $this->params->get('jlist', 'jquery-latest.min.js');
		$external 		= $this->params->get('external', 1);
		$noconflict		= $this->params->get('noconflict', 0);

		$curl 				= JURI::root(true).DS.'plugins'.DS.'system'.DS.'libraryjquery'.DS.'js'.DS;
		
		if ($external==1 || $jlist=='jquery-latest.min.js' || $jlist=='jquery-latest.js') {
			$curl_r = 'http://code.jquery.com/';
		} else {
			$curl_r = $curl;
		}
		
		$document->addScript($curl_r.$jlist);
		
		if ($noconflict==1) {
			$document->addScript($curl.'jquery-noconflict.js');
		}

	}
}
